.cta-banner-block {
  padding: 32px 24px;
  width: 100%;
  background-color: #F2F2F9;
  border-radius: 16px;
  margin: 40px 0;
}

.cta-banner-content {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
}

.cta-banner-title {
  font-size: 32px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 8px;
}

.main-post .post-content .cta-banner-block p {
  line-height: 25px;
  margin-bottom: 24px;
}

.cta-banner-content__full {
  flex: 1;
}

.cta-banner-content__left {
  width: 300px;
  flex-shrink: 0;
}

.cta-banner-content__right {
  flex-shrink: 0;
}

.cta-banner-content__right img {
  max-width: 100%;
  height: auto;
  display: flex;
  border-radius: 8px;
}

.cta-banner-button {
  font-size: 16px;
  font-weight: 700;
  line-height: 22px;
  border-radius: 14px;
  border: 1px solid #DEDEE8;
  background: #FFF;
  min-width: 240px;
  max-width: 100%;
  display: inline-block;
  text-align: center;
  word-break: break-word;
  padding: 16px;
}

.cta-banner-block + h2,
.cta-banner-block + h3 {
  margin-top: -40px;
}

@media only screen and (max-width: 768px) {
  .cta-banner-block {
    margin: 24px 0;
  }

  .cta-banner-block + h2,
  .cta-banner-block + h3 {
    margin-top: -24px;
  }

  .cta-banner-content {
    flex-direction: column;
  }

  .cta-banner-content__left {
    width: 100%;
  }

  .cta-banner-title {
    font-size: 28px;
    line-height: 35px;
  }

  .main-post .post-content .cta-banner-block p {
    font-size: 16px;
    line-height: 23px;
  }
}